Listagem de customers cadastrados
curl --request GET \
--url https://api.malga.io/v1/customers \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"createdAt": "<string>",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"document": {
"type": "<string>",
"number": "<string>",
"country": "BR"
},
"address": {
"street": "<string>",
"streetNumber": "<string>",
"zipCode": "<string>",
"country": "BR",
"state": "<string>",
"city": "<string>",
"district": "<string>",
"complement": "<string>"
}
}
]
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Customers
Listagem de customers cadastrados
GET
/
v1
/
customers
Listagem de customers cadastrados
curl --request GET \
--url https://api.malga.io/v1/customers \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"createdAt": "<string>",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"document": {
"type": "<string>",
"number": "<string>",
"country": "BR"
},
"address": {
"street": "<string>",
"streetNumber": "<string>",
"zipCode": "<string>",
"country": "BR",
"state": "<string>",
"city": "<string>",
"district": "<string>",
"complement": "<string>"
}
}
]
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Query Parameters
Número da página
Quantidade de itens por página
Ordenação dos itens
Available options:
ASC, DESC Identificador de um customer
Tipo de documento
Número do documento
Response
Success
Show child attributes
Show child attributes
Was this page helpful?